org.hibernate.search.elasticsearch.analyzer.impl

## Class TranslatingElasticsearchAnalysisDefinitionRegistryPopulator

- java.lang.Object
- - org.hibernate.search.elasticsearch.analyzer.impl.TranslatingElasticsearchAnalysisDefinitionRegistryPopulator

-     public class TranslatingElasticsearchAnalysisDefinitionRegistryPopulator
      extends Object

  An `ElasticsearchAnalysisDefinitionRegistry` populator that translates @AnalyzerDef annotations.

  The responsibilities of this class are:

  - to break @AnalyzerDefs into their components (@TokenizerDef, etc.)
  - to determine the correct name for each components (generating names automatically if needed)
  - to store the translated definitions in the registry

  The actual translation job (e.g. @AnalyzerDef to `AnalyzerDefinition`) is delegated to an `ElasticsearchAnalyzerDefinitionTranslator`.

  The detection of duplicate definitions is handled in `ElasticsearchAnalysisDefinitionRegistry`.

  Author:
    Yoann Rodiere

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TranslatingElasticsearchAnalysisDefinitionRegistryPopulator(ElasticsearchAnalysisDefinitionRegistry registry, ElasticsearchAnalyzerDefinitionTranslator translator)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `registerAnalyzerDef(AnalyzerDef hibernateSearchDefinition)`
    `void` | `registerNormalizerDef(NormalizerDef hibernateSearchDefinition)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TranslatingElasticsearchAnalysisDefinitionRegistryPopulator

          public TranslatingElasticsearchAnalysisDefinitionRegistryPopulator(ElasticsearchAnalysisDefinitionRegistry registry,
                                                                             ElasticsearchAnalyzerDefinitionTranslator translator)

  - ### Method Detail

    - #### registerAnalyzerDef

          public void registerAnalyzerDef(AnalyzerDef hibernateSearchDefinition)

    - #### registerNormalizerDef

          public void registerNormalizerDef(NormalizerDef hibernateSearchDefinition)

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved